Chat

Remove reaction from message

AuthBearer (JWT)
GroupChat
Rate limitSee Rate Limits
DELETE/api/chat/projects/{projectId}/chats/{chatId}/messages/{messageId}/reactions

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { Configuration, ChatApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const chat = new ChatApi(configuration);
import { Configuration, ChatApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const chat = new ChatApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await chat.removeReaction(
  "proj_4EvaoGxBHzGy",
  "S7xQrgOgfq2UcxDL",
  "New orchid Cheese with ergonomic design for profuse comfort",
  {
    emoji: "sensor back up"
  }
);
const { data: result } = await chat.removeReaction(
  "proj_4EvaoGxBHzGy",
  "S7xQrgOgfq2UcxDL",
  "New orchid Cheese with ergonomic design for profuse comfort",
  {
    emoji: "sensor back up"
  }
);

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Authentication

Requires JWT
Note
Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →

Path Parameters

NameTypeRequiredDescription
projectIdstringYes
chatIdstringYes
messageIdstringYes

Request Body

json
{
  "emoji": "monitor synthesize"
}
{
  "emoji": "monitor synthesize"
}

Responses

200Reaction removed
json
{
  "success": true,
  "data": [
    {
      "emoji": "👍",
      "count": 2,
      "users": [
        "685acbe0e129932fbb7a0fc2"
      ]
    }
  ]
}
{
  "success": true,
  "data": [
    {
      "emoji": "👍",
      "count": 2,
      "users": [
        "685acbe0e129932fbb7a0fc2"
      ]
    }
  ]
}
400
401

Errors

CodeMeaning
400
401
Edit this page on GitHub